<?php 
require_once("../../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../../includes/academia_constantes.php");
require_once("../../includes/funciones_buscador.php");
require_once("../../includes/funciones_generales.php");

require_once("../../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

$usuario=$sesion->get('ac_userid');

$nom_grupo=$sesion->getVar("configuracion.nombres_grupos");

$sql="SELECT
    aca_grupos.cod_grupo AS codigo
    , adm_sedes.nom_sede AS sede
    , aux_jornadas.nom_jornada AS jornada
    , aux_grados.orden AS orden
    , aux_grados.nom_grado AS grado 
    , aux_nombres_grupos.$nom_grupo AS grupo
    , COUNT(aca_estudiantesxgrupos.cod_estudiante) AS numero";

$tbl="FROM
    aca_grupos
    INNER JOIN aux_grados 
        ON (aca_grupos.cod_grado = aux_grados.cod_grado)
    INNER JOIN aux_jornadas 
        ON (aca_grupos.cod_jornada = aux_jornadas.cod_jornada)
    INNER JOIN adm_sedes 
        ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
    INNER JOIN aux_nombres_grupos 
        ON (aca_grupos.cod_nom_grupo = aux_nombres_grupos.cod_nom_grupo)
    INNER JOIN aca_estudiantesxgrupos 
        ON (aca_estudiantesxgrupos.cod_grupo = aca_grupos.cod_grupo)
GROUP BY aca_grupos.cod_grupo
ORDER BY adm_sedes.cod_sede ASC, aca_grupos.cod_jornada ASC, aux_grados.orden ASC, aux_nombres_grupos.nom_grupo_let ASC";

        $SQL = $sql ." ". $tbl ;

	//echo $SQL;	

		$academia->instruccion($SQL);
		while($row = $academia->extraer_registro()) {
            $responce[]=$row; 
		} 
        header("Content-type:application/json");
		echo json_encode($responce);
		$academia->cerrar();
?>